Bug 494394

Summary: bad video on alternate consoles during xdriver=vesa install
Product: [Fedora] Fedora Reporter: John Reiser <jreiser>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: anaconda-maint-list, mcepl, pjones, rmaximo, vanmeeuwen+fedora, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-08 21:35:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description John Reiser 2009-04-06 17:14:08 UTC
Description of problem: The alternate consoles VT1 through VT5 have bad video (LCD panel hardware detects out-of-range signal) when installing with xdriver=vesa on pci 8086:27A2 Intel 945 GM/GMS VGA on Apple Macintosh mini.


Version-Release number of selected component (if applicable):
anaconda-11.5.0.38 (Fedora 11 Beta i386 DVD)

How reproducible: always


Steps to Reproduce:
1. fresh install from Fedora 11 Beta i386 DVD using basic video driver (xdriver=vesa) on Apple Macintosh mini with pci 8086:27A2 Intel 945 GM/GMS VGA.
2.
3.
  
Actual results: When in graphical mode, then attempting to use the alternate consoles VT1 through VT5 (by typing Ctrl-Alt-Fn) gets an out-of-range message from the hardware of the LCD panel (NEC 1740CX, usually operated at 1280x1024 resolution, supports other resolutions down to 640x480)


Expected results: text mode console usable on VT2, and various log files displayed on VT3, VT4, VT5.


Additional info:

Comment 1 Matěj Cepl 2009-04-07 16:17:54 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Adam Jackson 2009-05-08 21:35:11 UTC
xdriver=vesa requires nomodeset on KMS-enabled chips, otherwise things don't work too well.

Should be fixed in anaconda 11.5.0.51:

commit 80c9f86a4356616d9d9e551bb32bd9ad3429977b
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 7 17:45:53 2009 -0400

    Do nomodeset when doing xdriver=vesa
    
    Otherwise things get a little iffy.